import os
import stat
import pickle
import numpy as np
from mindsponge import PipeLine

pipe = PipeLine(name="MEGAFold")
pipe.initialize("predict_512")
pipe.model.from_pretrained()
os.makedirs(f'./result/', exist_ok=True)

print("Infering structure of T1082-D1...")
f = open("./pkl/T1082-D1.pkl", "rb")
raw_feature = pickle.load(f)
f.close()
res = pipe.predict(raw_feature)
pdb_file = res[-1]
os_flags = os.O_RDWR | os.O_CREAT
os_modes = stat.S_IRWXU
pdb_path = f'./result/megafold_T1082-D1.pdb'
with os.fdopen(os.open(pdb_path, os_flags, os_modes), 'w') as fout:
    fout.write(pdb_file)

print("Infering structure of 6XMV_A...")
f = open("./pkl/6XMV_A.pkl", "rb")
raw_feature = pickle.load(f)
f.close()
res = pipe.predict(raw_feature)
pdb_file = res[-1]
os_flags = os.O_RDWR | os.O_CREAT
os_modes = stat.S_IRWXU
pdb_path = f'./result/megafold_6XMV_A.pdb'
with os.fdopen(os.open(pdb_path, os_flags, os_modes), 'w') as fout:
    fout.write(pdb_file)

