import os
import stat
import pickle
from mindsponge import PipeLine
from mindsponge.common.config_load import load_config

os.system("rm -rf config")
pipe = PipeLine(name="RASP")
pipe.initialize("predict_512")
conf = load_config("./config/predict_512.yaml")
conf.contact_path = "./restraints/6XMV_A.txt"
pipe.initialize(conf=conf)
pipe.model.from_pretrained()
f = open("./pkl/6XMV_A.pkl", "rb")
raw_feature = pickle.load(f)
f.close()
res = pipe.predict(raw_feature)

pdb_file = res[-1]
os.makedirs(f'./result/', exist_ok=True)
os_flags = os.O_RDWR | os.O_CREAT
os_modes = stat.S_IRWXU
pdb_path = f'./result/rasp_6XMV_A.pdb'
with os.fdopen(os.open(pdb_path, os_flags, os_modes), 'w') as fout:
    fout.write(pdb_file)